# synhelper (Synapse Helper)

## Чем занимается?

- Предоставляет возможность запретить индексацию поисковыми системами
- На все контактные формы добавляет поле согласия с обработкой персональных данных (по ФЗ-152)
- Даёт возможность отобразить страницу стилей сайта
- Добавляет на сайт номер счётчика яндекс метрики
- Добавляет конверсионные цели для яндекс метрики на отправку контактных форм с сайта

## Расположение

- /modules/contrib

## Машинное имя модуля

- synhelper

## Требования к платформе

- _Drupal 8-10_
- _PHP 7.4.0+_

## Нужны модули

- idna
- webp

## Версии

- [Drupal.org prod версия](https://www.drupal.org/project/synhelper)

```sh
composer require 'drupal/synhelper'
```

- [Drupal.org dev версия](https://www.drupal.org/synhelper/releases/8.x-1.x-dev)

```sh
composer require 'drupal/synhelper:1.x-dev@dev'
```

## Как использовать?

- Выполнить настройку модуля в /Администрирование/Конфигурация/Synapse-studio/Helper
  - [x] Индексация запрещена (поисковые системы не индексируют сайт)
  - [x] Галочка ФЗ-152 (добавляется сервис политики обработки персональных данных: поле в контактных формах и страница /policy с соглашением)
  - Номер счётчика яндекс-метрики (добавляет код метрики на сайт)
  - Цели (заполнять построчно по шаблону Цель|id контактной формы, например: order_form|contact_message_order_form)

## Основные сервисы

## Доп сервисы